searchNodes=[{"doc":"Node service discovery using a Redis backend.UsageListenerRediscovery requires a listener. This module gets called whenever node changes are detected. The module must provide the following callbacks:list/0 - This returns the list of nodes that the listener knows about.add/1 - This receives [{node, metadata}] whenever Rediscovery detects that a node has been added.remove/1 - This receives [node] whenever Rediscovery detects that a node should be removed.An example listener could look like the following:defmodule MyApp.Listener do use Rediscovery.Listener @impl true def list do Node.list() end @impl true def add(nodes) do Enum.each(nodes, fn {node, _metadata} -&gt; Node.connect(node) end end @impl true def remove(nodes) do Enum.each(&amp;Node.disconnect/1) end endSupervision TreeAdd Rediscovery, followed by any Listener modules to your supervision tree (ideally near the end to make sure other processes that your app requires are started):children = [ {Rediscovery, [ host: &quot;my.redis-host.com&quot;, port: 6379, prefix: &quot;my_app:my_environment&quot;, ]}, MyApp.Listener ]See lib/rediscovery.ex for other options for Rediscovery.","ref":"Rediscovery.html","title":"Rediscovery","type":"module"},{"doc":"","ref":"Rediscovery.html#child_spec/1","title":"Rediscovery.child_spec/1","type":"function"},{"doc":"","ref":"Rediscovery.html#default_metadata_fn/0","title":"Rediscovery.default_metadata_fn/0","type":"function"},{"doc":"","ref":"Rediscovery.html#start_link/1","title":"Rediscovery.start_link/1","type":"function"},{"doc":"See Rediscovery.State.state/0.","ref":"Rediscovery.html#state/0","title":"Rediscovery.state/0","type":"function"},{"doc":"See Rediscovery.State.state/1.","ref":"Rediscovery.html#state/1","title":"Rediscovery.state/1","type":"function"},{"doc":"","ref":"Rediscovery.Listener.html","title":"Rediscovery.Listener","type":"behaviour"},{"doc":"","ref":"Rediscovery.Listener.html#c:add/1","title":"Rediscovery.Listener.add/1","type":"callback"},{"doc":"","ref":"Rediscovery.Listener.html#change/1","title":"Rediscovery.Listener.change/1","type":"function"},{"doc":"","ref":"Rediscovery.Listener.html#c:list/0","title":"Rediscovery.Listener.list/0","type":"callback"},{"doc":"","ref":"Rediscovery.Listener.html#c:remove/1","title":"Rediscovery.Listener.remove/1","type":"callback"},{"doc":"Logging helpers to format log messages related to rediscovery","ref":"Rediscovery.Logger.html","title":"Rediscovery.Logger","type":"module"},{"doc":"","ref":"Rediscovery.Logger.html#debug/1","title":"Rediscovery.Logger.debug/1","type":"function"},{"doc":"","ref":"Rediscovery.Logger.html#error/1","title":"Rediscovery.Logger.error/1","type":"function"},{"doc":"","ref":"Rediscovery.Logger.html#info/1","title":"Rediscovery.Logger.info/1","type":"function"},{"doc":"","ref":"Rediscovery.Poller.html","title":"Rediscovery.Poller","type":"module"},{"doc":"Returns a specification to start this module under a supervisor.See Supervisor.","ref":"Rediscovery.Poller.html#child_spec/1","title":"Rediscovery.Poller.child_spec/1","type":"function"},{"doc":"Callback implementation for GenServer.handle_continue/2.","ref":"Rediscovery.Poller.html#handle_continue/2","title":"Rediscovery.Poller.handle_continue/2","type":"function"},{"doc":"Callback implementation for GenServer.init/1.","ref":"Rediscovery.Poller.html#init/1","title":"Rediscovery.Poller.init/1","type":"function"},{"doc":"","ref":"Rediscovery.Poller.html#renew/1","title":"Rediscovery.Poller.renew/1","type":"function"},{"doc":"","ref":"Rediscovery.Poller.html#start_link/1","title":"Rediscovery.Poller.start_link/1","type":"function"},{"doc":"","ref":"Rediscovery.PubSub.html","title":"Rediscovery.PubSub","type":"module"},{"doc":"Returns a specification to start this module under a supervisor.See Supervisor.","ref":"Rediscovery.PubSub.html#child_spec/1","title":"Rediscovery.PubSub.child_spec/1","type":"function"},{"doc":"","ref":"Rediscovery.PubSub.html#start_link/1","title":"Rediscovery.PubSub.start_link/1","type":"function"},{"doc":"","ref":"Rediscovery.State.html","title":"Rediscovery.State","type":"module"},{"doc":"","ref":"Rediscovery.State.html#add/3","title":"Rediscovery.State.add/3","type":"function"},{"doc":"Returns a specification to start this module under a supervisor.See Supervisor.","ref":"Rediscovery.State.html#child_spec/1","title":"Rediscovery.State.child_spec/1","type":"function"},{"doc":"","ref":"Rediscovery.State.html#remove/2","title":"Rediscovery.State.remove/2","type":"function"},{"doc":"","ref":"Rediscovery.State.html#replace/2","title":"Rediscovery.State.replace/2","type":"function"},{"doc":"","ref":"Rediscovery.State.html#start_link/1","title":"Rediscovery.State.start_link/1","type":"function"},{"doc":"","ref":"Rediscovery.State.html#state/1","title":"Rediscovery.State.state/1","type":"function"},{"doc":"Documentation for Rediscovery.","ref":"Rediscovery.Supervisor.html","title":"Rediscovery.Supervisor","type":"module"},{"doc":"Returns a specification to start this module under a supervisor.See Supervisor.","ref":"Rediscovery.Supervisor.html#child_spec/1","title":"Rediscovery.Supervisor.child_spec/1","type":"function"},{"doc":"","ref":"Rediscovery.Supervisor.html#start_link/1","title":"Rediscovery.Supervisor.start_link/1","type":"function"},{"doc":"","ref":"Rediscovery.Updater.html","title":"Rediscovery.Updater","type":"module"},{"doc":"Returns a specification to start this module under a supervisor.See Supervisor.","ref":"Rediscovery.Updater.html#child_spec/1","title":"Rediscovery.Updater.child_spec/1","type":"function"},{"doc":"Callback implementation for GenServer.handle_continue/2.","ref":"Rediscovery.Updater.html#handle_continue/2","title":"Rediscovery.Updater.handle_continue/2","type":"function"},{"doc":"Callback implementation for GenServer.init/1.","ref":"Rediscovery.Updater.html#init/1","title":"Rediscovery.Updater.init/1","type":"function"},{"doc":"","ref":"Rediscovery.Updater.html#start_link/1","title":"Rediscovery.Updater.start_link/1","type":"function"},{"doc":"","ref":"Rediscovery.Updater.html#terminate/3","title":"Rediscovery.Updater.terminate/3","type":"function"}]